Overview
GET/messaging/logmessaging

List the message log (admin), newest first, with optional filters

List log.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • pagequery · optionalstring
  • pageSizequery · optionalstring
  • channelquery · optionalstring
  • statusquery · optionalstring
  • userIdquery · optionalstring
Responses
200

Message-log page

  • itemsMessagingLogEntry[]
  • totalinteger
  • pageinteger
  • pageSizeinteger
Example
{
  "items": [
    {
      "id": "string",
      "customerId": "string",
      "deletedAt": "string",
      "ecosystemId": "string",
      "channel": "email",
      "recipient": "string",
      "subject": "string",
      "body": "string",
      "templateId": "string",
      "status": "sent",
      "providerId": "string",
      "errorMessage": "string",
      "sentBy": "string",
      "createdAt": "string"
    }
  ],
  "total": 0,
  "page": 0,
  "pageSize": 0
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
403

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/messaging/log" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/messaging/log", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();